// css overrides and hardcodes for the settings app


.content {
	display: grid;
	grid-template-columns: fit-content(270px) 1fr;
	grid-gap: 0;
}

.secondaryButton {
	display: none !important;
}

@media only screen and (max-width:800px) {
	.content {
		display: block !important;
	}

	.secondaryButton {
		display: inline-block !important;
	}
	.primaryButton {
		display: none !important;
	}
}

// background panel

.backgroundColorSquare {
	height: 48px;
	width: 48px;
	margin: 2px;
	padding: 0;
	display: inline-block;
}


.backgroundPreview {
	border: 2px solid #fff;
	box-shadow: 0 0 0 1px rgba(0,0,0,0.2);
	margin: 2px;
	#backgroundPreviewImage {
		display: block;
		height: 300px;
		background-size:cover;
		background-repeat: no-repeat;
		&.backgroundPreviewDesktop {
			box-shadow: inset 0 12px 0 0 rgba(0,0,0,0.8);
		}
		&.backgroundPreviewLockscreen {
			box-shadow: inset 0 12px 0 0 rgba(0,0,0,0.2);
			> span {
				display: block;
				width: 100%;
				line-height: 300px;
				text-align: center;
				font: bold;
				font-size: 300%;
				color: #fff;
				text-shadow: 0 2px 2px rgba(0,0,0,0.4);
			}
		}
	}
}

#backgroundPreviewGrid {
	text-align: center;
	padding: 2px 0;

	li.backgroundPreviewGridImage {
		border: none;
		display: inline-block;
		margin: 4px;
		height: 96px;
		width: calc(33% - 38px);
		background-size:cover;
		background-repeat: no-repeat;
		border: 2px solid #fff;
		border-radius:2px;
		vertical-align: top;
		> svg {
			height: 48px;
			width: 48px;
			margin-top: 24px;
			opacity: 0.5;
		}

		&.backgroundPreviewGridAddImage {
			background-color:#ececec;
		}

		&:hover {
			border-color: #3584e4;
		}
	}
}

// Displays